<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Services/BiosUserManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d7f/_bios_user_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BiosUserManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d7f/_bios_user_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357">    2</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357">EBiosJoinType</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357ad7fefe2c0ce6f89ca630dacf7436e01b">    4</a></span>    <a class="code hl_enumvalue" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357ad7fefe2c0ce6f89ca630dacf7436e01b">INVITE</a>,</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357a995d34bcabbc4f6dd5347f17464c4a2f">    5</a></span>    <a class="code hl_enumvalue" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357a995d34bcabbc4f6dd5347f17464c4a2f">ACTIVITY</a>,</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>};</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d9f/class_bios_user.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/d9f/class_bios_user.html#ac3e105d88c8d1491a396d0da4ea57817">   10</a></span>    proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d9f/class_bios_user.html#ac3e105d88c8d1491a396d0da4ea57817">GetName</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d9f/class_bios_user.html#acb4f169f912fc51c8c7d46ff7e87c509">   11</a></span>    proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d9f/class_bios_user.html#acb4f169f912fc51c8c7d46ff7e87c509">GetUid</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d2/d9f/class_bios_user.html#a47b1556bc28e0e33a9803c7363bfb6c1">   12</a></span>    proto native <a class="code hl_class" href="../../d5/d06/class_bios_client_services.html">BiosClientServices</a> <a class="code hl_function" href="../../d2/d9f/class_bios_user.html#a47b1556bc28e0e33a9803c7363bfb6c1">GetClientServices</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/d9f/class_bios_user.html#ac71b65a946f9f176bedcf53726328fe1">   13</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d9f/class_bios_user.html#ac71b65a946f9f176bedcf53726328fe1">IsOnline</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>};</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/db3/class_bios_user_manager.html">BiosUserManager</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#aeb798cb0af41f50fe872a2985f3bb29a">   22</a></span>    proto native <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#aeb798cb0af41f50fe872a2985f3bb29a">GetTitleInitiator</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a6fbaa51c61be790a35bbff3d572d56d9">   32</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a6fbaa51c61be790a35bbff3d572d56d9">GetUserList</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref BiosUser&gt;</a> user_list);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#af43279b5f250f211b7990a0c2c611a75">   35</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#af43279b5f250f211b7990a0c2c611a75">LogOnUserAsync</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#ab758fba9cbeadeacabc917ff22c0aab7">   43</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ab758fba9cbeadeacabc917ff22c0aab7">PickUserAsync</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a95da196a017161b916b614449a9fd630">   56</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a95da196a017161b916b614449a9fd630">ParseJoinAsync</a>(<span class="keywordtype">string</span> join_data);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#ad519dc75a948b396129e8a0f9a0112af">   68</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad519dc75a948b396129e8a0f9a0112af">ParsePartyAsync</a>(<span class="keywordtype">string</span> party_data);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a95d552a4a7a2999cf812f61ad07c7a13">   76</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a95d552a4a7a2999cf812f61ad07c7a13">SelectUser</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">   82</a></span>    proto native <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a259fb8c3af5d5d588c4876e415a53378">   88</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a259fb8c3af5d5d588c4876e415a53378">GetUserDatabaseIdAsync</a>();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">   90</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> selectedUser = <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span> (selectedUser &amp;&amp; selectedUser != user &amp;&amp; <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.MAIN_MENU)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a95d552a4a7a2999cf812f61ad07c7a13">SelectUser</a>(user);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.JOIN )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                    <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>( <a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.JOIN_FAIL_GET_SESSION, 6 );</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_CONTROLLER_SELECT );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.DeleteGamepadDisconnectMenu();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.MainMenuLaunch();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a95d552a4a7a2999cf812f61ad07c7a13">SelectUser</a>(user);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a8f7bab14dcfdd4a04428ec52b73f4d8a">  125</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a8f7bab14dcfdd4a04428ec52b73f4d8a">OnUserDatabaseId</a>(<span class="keywordtype">string</span> dbID, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">if</span>( !<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error ) )</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetDatabaseID( dbID );</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#aae8717385171de3e479b528f2669ec6d">  137</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#aae8717385171de3e479b528f2669ec6d">OnUserLoggedOn</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error ) )</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager())</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">CloseAllSubmenus</a>();</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsDialogVisible() )</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#ae75d012f86f4e61709d6d57745970451">CloseDialog</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                }</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.DeleteGamepadDisconnectMenu();</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() != null )</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a1726e39280b99e2810381d4f67a1b4c1">ResetActiveGamepad</a>();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_START );</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a07fe320504a031e96f2865f8e9e50105">  171</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a07fe320504a031e96f2865f8e9e50105">OnUserPicked</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordflow">if</span> ( !user )</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a1726e39280b99e2810381d4f67a1b4c1">ResetActiveGamepad</a>();</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error ) )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>( user );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7c2c565eb1b4dd450568e094c1938b63">Reset</a>();</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a2bc9fb655bfbe30c77a66c607959ef2c">OnGameNameChanged</a>( user );</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SelectUser(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().GetUserGamepad(user));</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a0e839752fa90b00f6a04b87eabcb8dbc">  189</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a0e839752fa90b00f6a04b87eabcb8dbc">OnLoggedOn</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> ( user &amp;&amp; <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>() == user )</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SelectUser(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().GetUserGamepad(user));</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a2eb9bc066c2e67eae0e1fb627094a242">  196</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a2eb9bc066c2e67eae0e1fb627094a242">OnLoggedOff</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a1048d47debecf3737dc2743b560313fd">OnSignedOut</a>( user );</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#aa372c863507a75c099f773ef3575bcf1">  207</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#aa372c863507a75c099f773ef3575bcf1">OnSignedIn</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    {</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a1048d47debecf3737dc2743b560313fd">  218</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a1048d47debecf3737dc2743b560313fd">OnSignedOut</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    {</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;OnSignedOut(): selectedUser: &quot;</span> + <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>());</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keywordtype">bool</span> isSelectedUser  = (<a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>() != null);</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="keywordflow">if</span> ( user == <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>() )</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>( null );</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager())</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            {</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">CloseAllSubmenus</a>();</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsDialogVisible() )</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#ae75d012f86f4e61709d6d57745970451">CloseDialog</a>();</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>                }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>                </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.DeleteGamepadDisconnectMenu();</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() != null )</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            {</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;OnSignedOut(): AbortMission&quot;</span>);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#ae98b8aff1e7c0b1ee573d24b39a2bce6">AbortMission</a>();</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>            }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a1726e39280b99e2810381d4f67a1b4c1">ResetActiveGamepad</a>();</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_START );</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        }</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( !isSelectedUser )</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;OnSignedOut(): before TitleScreen&quot;</span>);</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a1c90bc11f24e3e394094ce59b6f6a34e">  268</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a1c90bc11f24e3e394094ce59b6f6a34e">OnJoin</a>(<a class="code hl_enumeration" href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357">EBiosJoinType</a> type, <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> joiner, <span class="keywordtype">string</span> handle, <span class="keywordtype">string</span> joinee, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error) </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    {</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error ) )</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a71e889f0e50ccc2a9d331321b2bfd09a">SetBiosUser</a>( joiner );</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>( joiner );</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>            <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a1dc2bcb65b254547a6bdfd4c47df417e">SetSessionHandle</a>( handle );</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>            {</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.JOIN_START );</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>                <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a52532d6455bd84d21983912a404d6035">GetSession</a>();</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            {</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a>().IsActiveGamepadSelected() )</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>                {</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a729af6f5e6d670a924d88c3c58d45c61">CloseMenu</a>( <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga0dbb176db8d71b105044f7c2b3010b43">MENU_TITLE_SCREEN</a> );</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#ab711094813978350d153a19aa13134fb">IdentifyGamepad</a>( <a class="code hl_enumeration" href="../../d4/df6/group___gamepad.html#ga7a2d71f78acae0c6efa38d7f1fea596f">GamepadButton</a>.BUTTON_NONE );</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>                }</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.JOIN_START );</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        }</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>        {</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            {</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                {</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.MAIN_MENU )</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                    {</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>                        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">CloseAllSubmenus</a>();</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.JOIN)</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>                            <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>(<a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.JOIN_FAIL_GET_SESSION, 6);</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>                        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_START );</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                        <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                    }</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>                }</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>                {</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>                    <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.MainMenuLaunch();</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>                }</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>            }</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>            <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>( <a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.JOIN_FAIL_GET_SESSION, 6 );</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>        }</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>    }</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>    </div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span> </div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#ac570457aa235e58abddcacb64790dab8">  328</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ac570457aa235e58abddcacb64790dab8">OnPartyHost</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> host, <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> invitee_list, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>    {</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span><span class="preprocessor">        #ifdef PLATFORM_PS4</span></div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>        <span class="keywordflow">if</span>( host &amp;&amp; host.<a class="code hl_function" href="../../d2/d9f/class_bios_user.html#ac71b65a946f9f176bedcf53726328fe1">IsOnline</a>() )</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>        {</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>(host);</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>        }</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span><span class="preprocessor">        #ifdef PLATFORM_PS4</span></div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( host )</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>        {</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>( host );</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>            <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#af43279b5f250f211b7990a0c2c611a75">LogOnUserAsync</a>( host );</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>        }</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span> </div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager())</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>        {</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a729af6f5e6d670a924d88c3c58d45c61">CloseMenu</a>(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga0dbb176db8d71b105044f7c2b3010b43">MENU_TITLE_SCREEN</a>);</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>        }</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>        </div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a276ad6f2f857e05a9eff414aa4827d39">SetPendingInviteList</a>( invitee_list );</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>        <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.IN_GAME &amp;&amp; <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.CONNECTING)</div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>        {</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu().<a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">GetID</a>() != <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga36415ec61adcccd59c6edd041a4a3809">MENU_MAIN</a>)</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>            {</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a87812fdd534925c30fd8a7a8054f2393">EnterScriptedMenu</a>(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga36415ec61adcccd59c6edd041a4a3809">MENU_MAIN</a>, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu());</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>            }</div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.PARTY );</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.PARTY_START );</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>        }</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>    }</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span> </div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#a2bc9fb655bfbe30c77a66c607959ef2c">  368</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a2bc9fb655bfbe30c77a66c607959ef2c">OnGameNameChanged</a>(<a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user)</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>    {</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span>        <span class="keywordflow">if</span>( user == <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">GetSelectedUser</a>() )</div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>        {</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetPlayerName( user.<a class="code hl_function" href="../../d2/d9f/class_bios_user.html#ac3e105d88c8d1491a396d0da4ea57817">GetName</a>() );</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span><span class="preprocessor">            #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetPlayerGameName( user.<a class="code hl_function" href="../../d2/d9f/class_bios_user.html#ac3e105d88c8d1491a396d0da4ea57817">GetName</a>() );</div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span>            <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu() )</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span>            {</div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>().<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a2d1bf21e9bed27b6e0c2ee0d5ddca8a4">Refresh</a>();</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span>            }</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span>        }</div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>    }</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>    </div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno"><a class="line" href="../../de/db3/class_bios_user_manager.html#ac8d2166298371630f53671ebe693813f">  383</a></span>    <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ac8d2166298371630f53671ebe693813f">GetUser</a>( <span class="keywordtype">string</span> user_id )</div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>    {</div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref BiosUser&gt;</a> user_list = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref BiosUser&gt;</a>;</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>        <a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#a6fbaa51c61be790a35bbff3d572d56d9">GetUserList</a>( user_list );</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>        <span class="keywordflow">foreach</span>( <a class="code hl_class" href="../../d2/d9f/class_bios_user.html">BiosUser</a> user : user_list )</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>        {</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>            <span class="keywordflow">if</span>( user.GetUid() == user_id )</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>            {</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>                <span class="keywordflow">return</span> user;</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>            }</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span>        }</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span>    }</div>
<div class="line"><a id="l00396" name="l00396"></a><span class="lineno">  396</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a95221c1a0eabcad6044d1c11a1f4488c"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a95221c1a0eabcad6044d1c11a1f4488c">GetInput</a></div><div class="ttdeci">ActionInput GetInput()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l01126">ActionBase.c:1126</a></div></div>
<div class="ttc" id="a_b_i_o_s_error_module_8c_html_a112301e9d14b76a1669e09f081559cd1"><div class="ttname"><a href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a></div><div class="ttdeci">EBiosError</div><div class="ttdoc">Possible Error codes for bios API. This is the list of errors that can be returned from bios API....</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00006">BIOSErrorModule.c:7</a></div></div>
<div class="ttc" id="a_bios_user_manager_8c_html_a5505a9e8b0b9e05ccd6155885818d357"><div class="ttname"><a href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357">EBiosJoinType</a></div><div class="ttdeci">EBiosJoinType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00002">BiosUserManager.c:3</a></div></div>
<div class="ttc" id="a_bios_user_manager_8c_html_a5505a9e8b0b9e05ccd6155885818d357a995d34bcabbc4f6dd5347f17464c4a2f"><div class="ttname"><a href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357a995d34bcabbc4f6dd5347f17464c4a2f">ACTIVITY</a></div><div class="ttdeci">@ ACTIVITY</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00005">BiosUserManager.c:5</a></div></div>
<div class="ttc" id="a_bios_user_manager_8c_html_a5505a9e8b0b9e05ccd6155885818d357ad7fefe2c0ce6f89ca630dacf7436e01b"><div class="ttname"><a href="../../da/d7f/_bios_user_manager_8c.html#a5505a9e8b0b9e05ccd6155885818d357ad7fefe2c0ce6f89ca630dacf7436e01b">INVITE</a></div><div class="ttdeci">@ INVITE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00004">BiosUserManager.c:4</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03147">DayZGame.c:3147</a></div></div>
<div class="ttc" id="a_effect_8c_html_a2ba77aa3e0b17d2f4b2eb519db6aeaf7"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">GetID</a></div><div class="ttdeci">int GetID()</div><div class="ttdoc">Get the ID registered in SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00525">Effect.c:525</a></div></div>
<div class="ttc" id="a_notification_system_8c_html_a25a31a4bdc02a0d0adb743e26dd14ba9"><div class="ttname"><a href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a></div><div class="ttdeci">NotificationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00003">NotificationSystem.c:4</a></div></div>
<div class="ttc" id="aclass_bios_client_services_html"><div class="ttname"><a href="../../d5/d06/class_bios_client_services.html">BiosClientServices</a></div><div class="ttdoc">BiosClientServices class provides individual online services.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d13/_bios_client_services_8c_source.html#l00009">BiosClientServices.c:10</a></div></div>
<div class="ttc" id="aclass_bios_user_html"><div class="ttname"><a href="../../d2/d9f/class_bios_user.html">BiosUser</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00008">BiosUserManager.c:9</a></div></div>
<div class="ttc" id="aclass_bios_user_html_a47b1556bc28e0e33a9803c7363bfb6c1"><div class="ttname"><a href="../../d2/d9f/class_bios_user.html#a47b1556bc28e0e33a9803c7363bfb6c1">BiosUser::GetClientServices</a></div><div class="ttdeci">proto native BiosClientServices GetClientServices()</div></div>
<div class="ttc" id="aclass_bios_user_html_ac3e105d88c8d1491a396d0da4ea57817"><div class="ttname"><a href="../../d2/d9f/class_bios_user.html#ac3e105d88c8d1491a396d0da4ea57817">BiosUser::GetName</a></div><div class="ttdeci">proto native owned string GetName()</div></div>
<div class="ttc" id="aclass_bios_user_html_ac71b65a946f9f176bedcf53726328fe1"><div class="ttname"><a href="../../d2/d9f/class_bios_user.html#ac71b65a946f9f176bedcf53726328fe1">BiosUser::IsOnline</a></div><div class="ttdeci">proto native bool IsOnline()</div></div>
<div class="ttc" id="aclass_bios_user_html_acb4f169f912fc51c8c7d46ff7e87c509"><div class="ttname"><a href="../../d2/d9f/class_bios_user.html#acb4f169f912fc51c8c7d46ff7e87c509">BiosUser::GetUid</a></div><div class="ttdeci">proto native owned string GetUid()</div></div>
<div class="ttc" id="aclass_bios_user_manager_html"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html">BiosUserManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00016">BiosUserManager.c:17</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a07fe320504a031e96f2865f8e9e50105"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a07fe320504a031e96f2865f8e9e50105">BiosUserManager::OnUserPicked</a></div><div class="ttdeci">void OnUserPicked(BiosUser user, EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00171">BiosUserManager.c:171</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a0e839752fa90b00f6a04b87eabcb8dbc"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a0e839752fa90b00f6a04b87eabcb8dbc">BiosUserManager::OnLoggedOn</a></div><div class="ttdeci">void OnLoggedOn(BiosUser user)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00189">BiosUserManager.c:189</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a1048d47debecf3737dc2743b560313fd"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a1048d47debecf3737dc2743b560313fd">BiosUserManager::OnSignedOut</a></div><div class="ttdeci">void OnSignedOut(BiosUser user)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00218">BiosUserManager.c:218</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a1c90bc11f24e3e394094ce59b6f6a34e"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a1c90bc11f24e3e394094ce59b6f6a34e">BiosUserManager::OnJoin</a></div><div class="ttdeci">void OnJoin(EBiosJoinType type, BiosUser joiner, string handle, string joinee, EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00268">BiosUserManager.c:268</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a259fb8c3af5d5d588c4876e415a53378"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a259fb8c3af5d5d588c4876e415a53378">BiosUserManager::GetUserDatabaseIdAsync</a></div><div class="ttdeci">proto native EBiosError GetUserDatabaseIdAsync()</div><div class="ttdoc">Call async function to get database ID.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a2bc9fb655bfbe30c77a66c607959ef2c"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a2bc9fb655bfbe30c77a66c607959ef2c">BiosUserManager::OnGameNameChanged</a></div><div class="ttdeci">void OnGameNameChanged(BiosUser user)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00368">BiosUserManager.c:368</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a2eb9bc066c2e67eae0e1fb627094a242"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a2eb9bc066c2e67eae0e1fb627094a242">BiosUserManager::OnLoggedOff</a></div><div class="ttdeci">void OnLoggedOff(BiosUser user)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00196">BiosUserManager.c:196</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a6fbaa51c61be790a35bbff3d572d56d9"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a6fbaa51c61be790a35bbff3d572d56d9">BiosUserManager::GetUserList</a></div><div class="ttdeci">proto native EBiosError GetUserList(array&lt; ref BiosUser &gt; user_list)</div><div class="ttdoc">Gets the currently present list of users.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a880fe430d064d9d13035a999af94cee4"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a880fe430d064d9d13035a999af94cee4">BiosUserManager::GetSelectedUser</a></div><div class="ttdeci">proto native BiosUser GetSelectedUser()</div><div class="ttdoc">Returns the currently selected user.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a8f7bab14dcfdd4a04428ec52b73f4d8a"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a8f7bab14dcfdd4a04428ec52b73f4d8a">BiosUserManager::OnUserDatabaseId</a></div><div class="ttdeci">void OnUserDatabaseId(string dbID, EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00125">BiosUserManager.c:125</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a95d552a4a7a2999cf812f61ad07c7a13"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a95d552a4a7a2999cf812f61ad07c7a13">BiosUserManager::SelectUser</a></div><div class="ttdeci">proto native void SelectUser(BiosUser user)</div><div class="ttdoc">Informs the engine about the current selected user.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_a95da196a017161b916b614449a9fd630"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#a95da196a017161b916b614449a9fd630">BiosUserManager::ParseJoinAsync</a></div><div class="ttdeci">proto native EBiosError ParseJoinAsync(string join_data)</div><div class="ttdoc">Parse the join data from from command line parameters.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_aa372c863507a75c099f773ef3575bcf1"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#aa372c863507a75c099f773ef3575bcf1">BiosUserManager::OnSignedIn</a></div><div class="ttdeci">void OnSignedIn(BiosUser user)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00207">BiosUserManager.c:207</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_aae8717385171de3e479b528f2669ec6d"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#aae8717385171de3e479b528f2669ec6d">BiosUserManager::OnUserLoggedOn</a></div><div class="ttdeci">void OnUserLoggedOn(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00137">BiosUserManager.c:137</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ab758fba9cbeadeacabc917ff22c0aab7"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ab758fba9cbeadeacabc917ff22c0aab7">BiosUserManager::PickUserAsync</a></div><div class="ttdeci">proto native EBiosError PickUserAsync()</div><div class="ttdoc">Display a system dependant account picket.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ac570457aa235e58abddcacb64790dab8"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ac570457aa235e58abddcacb64790dab8">BiosUserManager::OnPartyHost</a></div><div class="ttdeci">void OnPartyHost(BiosUser host, array&lt; string &gt; invitee_list, EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00328">BiosUserManager.c:328</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ac8d2166298371630f53671ebe693813f"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ac8d2166298371630f53671ebe693813f">BiosUserManager::GetUser</a></div><div class="ttdeci">BiosUser GetUser(string user_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00383">BiosUserManager.c:383</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ad4ffe34634a379852666373b5928d359"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">BiosUserManager::SelectUserEx</a></div><div class="ttdeci">void SelectUserEx(BiosUser user)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00090">BiosUserManager.c:90</a></div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ad519dc75a948b396129e8a0f9a0112af"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ad519dc75a948b396129e8a0f9a0112af">BiosUserManager::ParsePartyAsync</a></div><div class="ttdeci">proto native EBiosError ParsePartyAsync(string party_data)</div><div class="ttdoc">Parse the party data from from command line parameters.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_aeb798cb0af41f50fe872a2985f3bb29a"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#aeb798cb0af41f50fe872a2985f3bb29a">BiosUserManager::GetTitleInitiator</a></div><div class="ttdeci">proto native BiosUser GetTitleInitiator()</div><div class="ttdoc">Gets the initiatior of the title.</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_af43279b5f250f211b7990a0c2c611a75"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#af43279b5f250f211b7990a0c2c611a75">BiosUserManager::LogOnUserAsync</a></div><div class="ttdeci">proto native EBiosError LogOnUserAsync(BiosUser user)</div><div class="ttdoc">Display a system dependant ui for log-on.</div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_c_game_html_ae98b8aff1e7c0b1ee573d24b39a2bce6"><div class="ttname"><a href="../../d2/de6/class_c_game.html#ae98b8aff1e7c0b1ee573d24b39a2bce6">CGame::AbortMission</a></div><div class="ttdeci">proto native void AbortMission()</div><div class="ttdoc">Returns to main menu, leave world empty for using last mission world.</div></div>
<div class="ttc" id="aclass_c_game_html_aecd897d7ae85f4fba1f7ee552046f909"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">CGame::GetInput</a></div><div class="ttdeci">proto native Input GetInput()</div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_input_html_a1726e39280b99e2810381d4f67a1b4c1"><div class="ttname"><a href="../../d4/d7b/class_input.html#a1726e39280b99e2810381d4f67a1b4c1">Input::ResetActiveGamepad</a></div><div class="ttdeci">proto native void ResetActiveGamepad()</div><div class="ttdoc">clears active gamepad</div></div>
<div class="ttc" id="aclass_input_html_ab711094813978350d153a19aa13134fb"><div class="ttname"><a href="../../d4/d7b/class_input.html#ab711094813978350d153a19aa13134fb">Input::IdentifyGamepad</a></div><div class="ttdeci">proto native void IdentifyGamepad(GamepadButton button)</div><div class="ttdoc">the on OnGamepadIdentification callback will return the first gamepad where the button was pressed</div></div>
<div class="ttc" id="aclass_mission_html_a7c2c565eb1b4dd450568e094c1938b63"><div class="ttname"><a href="../../db/dad/class_mission.html#a7c2c565eb1b4dd450568e094c1938b63">Mission::Reset</a></div><div class="ttdeci">void Reset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00682">gameplay.c:682</a></div></div>
<div class="ttc" id="aclass_mission_html_a7e799c9803f803616be3bb2ec317e3b1"><div class="ttname"><a href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">Mission::AbortMission</a></div><div class="ttdeci">void AbortMission()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00731">gameplay.c:731</a></div></div>
<div class="ttc" id="aclass_notification_system_html"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html">NotificationSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00056">NotificationSystem.c:57</a></div></div>
<div class="ttc" id="aclass_notification_system_html_ae7e705691ea84eaf201e629d1643d7c4"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">NotificationSystem::AddNotification</a></div><div class="ttdeci">static void AddNotification(NotificationType type, float show_time, string detail_text=&quot;&quot;)</div><div class="ttdoc">Send notification from default types to local player.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00156">NotificationSystem.c:156</a></div></div>
<div class="ttc" id="aclass_online_services_html"><div class="ttname"><a href="../../d0/d36/class_online_services.html">OnlineServices</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00001">OnlineServices.c:2</a></div></div>
<div class="ttc" id="aclass_online_services_html_a1dc2bcb65b254547a6bdfd4c47df417e"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a1dc2bcb65b254547a6bdfd4c47df417e">OnlineServices::SetSessionHandle</a></div><div class="ttdeci">static void SetSessionHandle(string handle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00491">OnlineServices.c:491</a></div></div>
<div class="ttc" id="aclass_online_services_html_a276ad6f2f857e05a9eff414aa4827d39"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a276ad6f2f857e05a9eff414aa4827d39">OnlineServices::SetPendingInviteList</a></div><div class="ttdeci">static void SetPendingInviteList(array&lt; string &gt; invitees)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00593">OnlineServices.c:593</a></div></div>
<div class="ttc" id="aclass_online_services_html_a52532d6455bd84d21983912a404d6035"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a52532d6455bd84d21983912a404d6035">OnlineServices::GetSession</a></div><div class="ttdeci">static void GetSession()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00510">OnlineServices.c:510</a></div></div>
<div class="ttc" id="aclass_online_services_html_a71e889f0e50ccc2a9d331321b2bfd09a"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a71e889f0e50ccc2a9d331321b2bfd09a">OnlineServices::SetBiosUser</a></div><div class="ttdeci">static void SetBiosUser(BiosUser user)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00524">OnlineServices.c:524</a></div></div>
<div class="ttc" id="aclass_online_services_html_ab498f9248a50c13d13b14a61a5fe7479"><div class="ttname"><a href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">OnlineServices::ErrorCaught</a></div><div class="ttdeci">static bool ErrorCaught(EBiosError error)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00082">OnlineServices.c:82</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a3ab7a991240828f5541ef09cf31fea78"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">UIManager::GetMenu</a></div><div class="ttdeci">proto native UIScriptedMenu GetMenu()</div><div class="ttdoc">Returns most-top open menu.</div></div>
<div class="ttc" id="aclass_u_i_manager_html_a6519aefa6f2f15756af244e1220b1d3c"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">UIManager::CloseAllSubmenus</a></div><div class="ttdeci">bool CloseAllSubmenus()</div><div class="ttdoc">Close all opened menus except first menu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00100">UIManager.c:100</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a729af6f5e6d670a924d88c3c58d45c61"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a729af6f5e6d670a924d88c3c58d45c61">UIManager::CloseMenu</a></div><div class="ttdeci">bool CloseMenu(int id)</div><div class="ttdoc">Close menu with specific ID (see MenuID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00119">UIManager.c:119</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a87812fdd534925c30fd8a7a8054f2393"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a87812fdd534925c30fd8a7a8054f2393">UIManager::EnterScriptedMenu</a></div><div class="ttdeci">proto native UIScriptedMenu EnterScriptedMenu(int id, UIMenuPanel parent)</div><div class="ttdoc">Create &amp; open menu with specific id (see MenuID) and set its parent.</div></div>
<div class="ttc" id="aclass_u_i_manager_html_ae75d012f86f4e61709d6d57745970451"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#ae75d012f86f4e61709d6d57745970451">UIManager::CloseDialog</a></div><div class="ttdeci">proto native void CloseDialog()</div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a2d1bf21e9bed27b6e0c2ee0d5ddca8a4"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a2d1bf21e9bed27b6e0c2ee0d5ddca8a4">UIScriptedMenu::Refresh</a></div><div class="ttdeci">override void Refresh()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dd9/_chat_input_menu_8c_source.html#l00068">ChatInputMenu.c:68</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___gamepad_html_ga7a2d71f78acae0c6efa38d7f1fea596f"><div class="ttname"><a href="../../d4/df6/group___gamepad.html#ga7a2d71f78acae0c6efa38d7f1fea596f">GamepadButton</a></div><div class="ttdeci">GamepadButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de4/_en_system_8c_source.html#l00340">EnSystem.c:341</a></div></div>
<div class="ttc" id="agroup___menu_i_d_html_ga0dbb176db8d71b105044f7c2b3010b43"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#ga0dbb176db8d71b105044f7c2b3010b43">MENU_TITLE_SCREEN</a></div><div class="ttdeci">const int MENU_TITLE_SCREEN</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00173">constants.c:173</a></div></div>
<div class="ttc" id="agroup___menu_i_d_html_ga36415ec61adcccd59c6edd041a4a3809"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#ga36415ec61adcccd59c6edd041a4a3809">MENU_MAIN</a></div><div class="ttdeci">const int MENU_MAIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00159">constants.c:159</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4a9dcb1770818e47f33f91c96091773e.html">Services</a></li><li class="navelem"><a class="el" href="../../da/d7f/_bios_user_manager_8c.html">BiosUserManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
